Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NetworkStatisticsEntryFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NetworkStatisticsEntry
it.tdlight.jni.TdApi.NetworkStatisticsEntryFile

Enclosing class:
  TdApi

public static final class TdApi.NetworkStatisticsEntryFile extends TdApi.NetworkStatisticsEntry
Contains information about the total amount of data that was used to send and receive files.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.FileType`
`fileType`
Type of the file the data is part of; pass null if the data isn't related to files.
`TdApi.NetworkType`
`networkType`
Type of the network the data was sent through.
`long`
`receivedBytes`
Total number of bytes received.
`long`
`sentBytes`
Total number of bytes sent.

## Constructor Summary

Constructors
Constructor
Description
`NetworkStatisticsEntryFile()`
Contains information about the total amount of data that was used to send and receive files.
`NetworkStatisticsEntryFile(TdApi.FileType fileType, TdApi.NetworkType networkType, long sentBytes, long receivedBytes)`
Contains information about the total amount of data that was used to send and receive files.
`NetworkStatisticsEntryFile(DataInput input)`
Contains information about the total amount of data that was used to send and receive files.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileType

public TdApi.FileType fileType
Type of the file the data is part of; pass null if the data isn't related to files.

### networkType

public TdApi.NetworkType networkType
Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.

### sentBytes

public long sentBytes
Total number of bytes sent.

### receivedBytes

public long receivedBytes
Total number of bytes received.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### NetworkStatisticsEntryFile

public NetworkStatisticsEntryFile()
Contains information about the total amount of data that was used to send and receive files.

### NetworkStatisticsEntryFile

public NetworkStatisticsEntryFile(TdApi.FileType fileType, TdApi.NetworkType networkType, long sentBytes, long receivedBytes)
Contains information about the total amount of data that was used to send and receive files.

Parameters:
  `fileType` - FileType Type of the file the data is part of; pass null if the data isn't related to files.
  `networkType` - NetworkType Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.
  `sentBytes` - long Total number of bytes sent.
  `receivedBytes` - long Total number of bytes received.

### NetworkStatisticsEntryFile

public NetworkStatisticsEntryFile(DataInput input) throws IOException
Contains information about the total amount of data that was used to send and receive files.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`